Download it now!
Bug 101682 - Sluggishness, freezing and crashes experienced upon insertion of (many?) compressed SVG (svgz) graphics
Summary: Sluggishness, freezing and crashes experienced upon insertion of (many?) comp...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.7.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg, haveBacktrace, perf
Depends on:
Blocks: SVG-Import Writer-Images
  Show dependency treegraph
 
Reported: 2016-08-23 10:46 UTC by Daniel Grigoras
Modified: 2019-06-19 02:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
demo SVGZ (798.62 KB, application/zip)
2016-08-23 10:46 UTC, Daniel Grigoras
Details
Callgrind output from master (2.14 MB, application/x-xz)
2018-06-18 14:35 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Grigoras 2016-08-23 10:46:54 UTC
Created attachment 126983 [details]
demo SVGZ

Hi,

I have experienced sluggishness, freezing and crashes upon insertion of many compressed SVG (svgz) graphics.
Moreover, some are displayed improperly and black and white.
See the attached demo compressed SVGZ.
Compare how they look in Inkscape and how they look in LibreOffice.

Best wishes,
Daniel
Comment 1 Daniel Grigoras 2016-08-23 10:47:52 UTC
BTW, this is also true when working with not that many uncompressed SVG graphics.
Comment 2 Buovjaga 2016-09-21 19:11:52 UTC
I get the sluggishness even with a single inserted file (demo_01.svgz).
It is worse in 5.2 than in 5.3.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: cd72269a6a2c85ae9dd4552aa4808ef4fd1f6c0e
CPU Threads: 8; OS Version: Linux 4.7; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 21st 2016

Arch Linux 64-bit, KDE Plasma 5
Version: 5.2.0.4
Build ID: 5.2.0-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 3 Telesto 2017-10-13 15:55:13 UTC
Repro with:
Version: 4.3.7.2
Build ID: 8a35821d8636a03b8bf4e15b48f59794652c68ba
Comment 4 Buovjaga 2018-06-18 14:35:57 UTC
Created attachment 142866 [details]
Callgrind output from master

This is taken from the action of just typing "f" to the Writer document after the SVGZ has been inserted.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: dc9ee533dc707cc10b99d537eaccc3ee5aa555fe
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 16th 2018
Comment 5 QA Administrators 2019-06-19 02:48:16 UTC
Dear Daniel Grigoras,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug